Get Available Inbound DIDs
Retrieve a paginated list of available inbound destination numbers (DIDs) derived from inbound call statistics for your account. These DIDs represent destination numbers that appear in inbound traffic and can be used for filtering or grouping inbound call statistics by destination. This endpoint is typically used to populate filters for inbound statistics dashboards and reporting tools.
Query Parameters
Pagination parameters. Accepts page number. Pagination starts on page=1. If parameter is not provided, the default value of 1 will be set.
Pagination parameter. Accepts the size of page for pagination. Minimal page size is 1. If parameter is not provided, the default value of 10 will be set.
Optional parameter that allows to search available DIDs for inbound statistics did number value. The search operation is partial.
Ordering parameter. Defines by which field the data will be sorted. If parameter is not provided, will be used entity's default ordering. To use entity's default sorting, pass _default as value.
"did"Ordering parameter. Defines the order of sorting (asc or desc). If parameter is not provided, will be used entity's default ordering.
"asc" | "desc"Header Parameters
Your API token
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://dev-refactor-api-e.voipenv.uk/api/v1/voice/statistics/inbound/dids" \ -H "Authorization: string"{
"data": [
"string"
],
"page": 0,
"page_size": 0,
"total": 0,
"total_pages": 0
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}